package com.base.filerecoveryrecyclebin.activity.vip

import android.content.Intent
import android.graphics.Color
import androidx.activity.addCallback
import androidx.core.view.updatePadding
import com.base.filerecoveryrecyclebin.activity.MainActivity
import com.base.filerecoveryrecyclebin.ads.AdmobMaxHelper
import com.base.filerecoveryrecyclebin.databinding.ActivityVipBinding
import com.base.filerecoveryrecyclebin.help.BaseActivity
import com.base.filerecoveryrecyclebin.utils.BarUtils

class VipActivity : BaseActivity<ActivityVipBinding>() {

    override val binding: ActivityVipBinding by lazy {
        ActivityVipBinding.inflate(layoutInflater)
    }

    override fun initView() {
        BarUtils.setStatusBarLightMode(this, true)
        BarUtils.setStatusBarColor(this, Color.WHITE)
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())
    }

    override fun initListener() {
        super.initListener()

        binding.cardWeek.setOnClickListener { }
        binding.cardMonth.setOnClickListener { }
        binding.cardYear.setOnClickListener { }

        onBackPressedDispatcher.addCallback {
            AdmobMaxHelper.admobMaxShowInterstitialAd(this@VipActivity) {
                startActivity(Intent(this@VipActivity, MainActivity::class.java))
                finish()
            }
        }
        binding.flQuit.setOnClickListener {
            onBackPressedDispatcher.onBackPressed()
        }

    }


}